Subject: Re: bug#62473: [PATCH 0/4] OpenFoam update to version 10

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Apr 2023 22:06:51 +0200

Hi,

reza <[email-masked]> skribis:

>>> +(define-public ftest
>>> +  (package
>>> +    (name "ftest")
>>> +    (version "bf75576064fce2e07f52cd63a3e410f12358728b")
>> 
>> That’s not a reasonable version string; see
>> <https://guix.gnu.org/manual/devel/en/html_node/Version-Numbers.html>
>> on how to derive version strings for Git checkouts.
>> 
>> Furthermore, when packaging a snapshot (as opposed to a tagged release),
>> please add a short comment explaining why we’re not providing a release.
>
> I'm not sure how to proceed here, there aren't any releases and it looks 
> more like a small side project. I included it for completness but maybe 
> we should drop it and skip the tests for utfcpp?

You can keep it; just add a comment with the explanation you wrote
above, and make sure the version string is built as show in the manual
page above.

>>> +    (build-system copy-build-system)
>>> +    (native-inputs (list cmake-minimal))
>> 
>> Perhaps use ‘cmake-build-system’?
>
> There is only a CMakeLists.txt file for the tests but not for the 
> source, shall I provide one?

Oh, weird.  Then just add a comment stating that and keep it this way.

Thanks,
Ludo’.